Subject: EXTENSION VISA REQUIRED DOCUMENTS AND EMPLOYMENT CONTRACT
From: Daniele Castiglioni <[email-masked]>
To: Ashish Dabral <[email-masked]>
Date: Thu, 16 Dec 2021 06:14:28 -0700 (MST)

Hi Ashish, 

I am writing concerning the documents needed to extend my Employment Visa . 

As agreed with Saurabh Sir, i will renew my contract with the company for 1 more year. 

Besides renewing my contract I need to extend my 1-year Employment Visa . 

Here below I send the documents the FRRO request in order to apply for Extension Visa : 

- INCOME TAX PAPER : Form 16/ Income tax return in case the applicant is residing in India for more than 1 year or proof of TDS with bank Challan for the current financial year / Form 26AS 

- CONTRACT PAPER : Employement Paper Mentioning about the Salary, Employement Period etc. 

- REQUEST LETTER : Request Letter from the Company for Extension mentioning the period for which extension is sought. 

- UNDERTAKING LETTER : Letter of Undertaking from company signed by indian host or Authorised signatory with name and contact number. 

As per FRRO policy I need to submit the application form before 15days from expiring date. 

Since my Visa will expired on January 10th , I kindly ask to provide me all the documents as soon as possible. 

Kind regards, 

Daniele